Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
DaeMaterials Class Reference

This class is seperated from the converter file because otherwise it would get too big and needlessly complicated. More...

`#include "daeMaterials.h"`

Inheritance diagram for DaeMaterials:

## Public Member Functions
| DaeMaterials (const FCDGeometryInstance *geometry_instance)
void | add_material_instance (const FCDMaterialInstance *instance)
| Adds a material instance.
void | apply_to_group (const std::string semantic, const PT(EggGroup) to, bool invert_transparency=false)
| Applies the colorblend stuff to the given EggGroup.
void | apply_to_primitive (const std::string semantic, const PT(EggPrimitive) to)
| Applies the stuff to the given EggPrimitive.
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const
const std::string | get_uvset_name (const std::string semantic, FUDaeGeometryInput::Semantic input_semantic, int32 input_set)
| Returns the semantic of the uvset with the specified input set, or an empty string if the given material has no input set.
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.

## Static Public Member Functions
static EggTexture::FilterType | convert_filter_type (const FUDaeTextureFilterFunction::FilterFunction orig_type)
| Converts an FCollada filter function to the EggTexture wrap type equivalent.
static EggTexture::TextureType | convert_texture_type (const FCDEffectParameterSampler::SamplerType orig_type)
| Converts an FCollada sampler type to the EggTexture texture type equivalent.
static EggTexture::WrapMode | convert_wrap_mode (const FUDaeTextureWrapMode::WrapMode orig_mode)
| Converts an FCollada wrap mode to the EggTexture wrap mode equivalent.
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Additional Inherited Members
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

This class is seperated from the converter file because otherwise it would get too big and needlessly complicated.

Definition at line 38 of file daeMaterials.h.

## Constructor & Destructor Documentation

## ◆ DaeMaterials()

DaeMaterials::DaeMaterials | ( | const FCDGeometryInstance * | geometry_instance | ) |

Definition at line 40 of file daeMaterials.cxx.

## ◆ ~DaeMaterials()

virtual DaeMaterials::~DaeMaterials | ( |  | ) |
| inline virtual

Definition at line 41 of file daeMaterials.h.

## Member Function Documentation

## ◆ add_material_instance()

void DaeMaterials::add_material_instance | ( | const FCDMaterialInstance * | instance | ) |

Adds a material instance.

Normally automatically done by constructor.

Definition at line 50 of file daeMaterials.cxx.

## ◆ apply_to_group()

void DaeMaterials::apply_to_group | ( | const std::string | semantic,
|  | const PT(EggGroup) | to,
|  | bool | invert_transparency = false )

Applies the colorblend stuff to the given EggGroup.

Definition at line 229 of file daeMaterials.cxx.

## ◆ apply_to_primitive()

void DaeMaterials::apply_to_primitive | ( | const std::string | semantic,
|  | const PT(EggPrimitive) | to )

Applies the stuff to the given EggPrimitive.

Definition at line 214 of file daeMaterials.cxx.

References EggPrimitive::add_texture(), EggPrimitive::set_bface_flag, and EggPrimitive::set_material.

## ◆ convert_filter_type()

EggTexture::FilterType DaeMaterials::convert_filter_type | ( | const FUDaeTextureFilterFunction::FilterFunction | orig_type | ) |
| static

Converts an FCollada filter function to the EggTexture wrap type equivalent.

Definition at line 334 of file daeMaterials.cxx.

## ◆ convert_texture_type()

EggTexture::TextureType DaeMaterials::convert_texture_type | ( | const FCDEffectParameterSampler::SamplerType | orig_type | ) |
| static

Converts an FCollada sampler type to the EggTexture texture type equivalent.

Definition at line 288 of file daeMaterials.cxx.

## ◆ convert_wrap_mode()

EggTexture::WrapMode DaeMaterials::convert_wrap_mode | ( | const FUDaeTextureWrapMode::WrapMode | orig_mode | ) |
| static

Converts an FCollada wrap mode to the EggTexture wrap mode equivalent.

Definition at line 308 of file daeMaterials.cxx.

## ◆ force_init_type()

virtual TypeHandle DaeMaterials::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from TypedReferenceCount.

Definition at line 87 of file daeMaterials.h.

## ◆ get_class_type()

static TypeHandle DaeMaterials::get_class_type | ( |  | ) |
| inline static

Definition at line 88 of file daeMaterials.h.

## ◆ get_type()

virtual TypeHandle DaeMaterials::get_type | ( |  | ) | const
| inline virtual

Reimplemented from TypedReferenceCount.

Definition at line 84 of file daeMaterials.h.

## ◆ get_uvset_name()

const string DaeMaterials::get_uvset_name | ( | const std::string | semantic,
|  | FUDaeGeometryInput::Semantic | input_semantic,
|  | int32 | input_set )

Returns the semantic of the uvset with the specified input set, or an empty string if the given material has no input set.

Definition at line 256 of file daeMaterials.cxx.

## ◆ init_type()

static void DaeMaterials::init_type | ( |  | ) |
| inline static

Definition at line 91 of file daeMaterials.h.

The documentation for this class was generated from the following files:

- pandatool/src/daeegg/daeMaterials.h
- pandatool/src/daeegg/daeMaterials.cxx